+ Post New Thread
Page 1 of 521 1 2 3 11 51 101 501 ... LastLast
Threads 1 to 25 of 13018

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 34,980
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 48,308
    18th Sep 2006 10:46 pm Go to last post
  1. Simple lisp routine

    Hi All, I am trying to write my first lisp to draw a basic portal frame. I have used excel to work out the coordinates and construct a command which once I get the drawing command working, I will...

    Started by stevo99‎, 21st May 2015 09:58 pm
    • Replies: 6
    • Views: 161
    Today 03:28 am Go to last post
  2. Question Select the attribute that will be written at the moment of insert the block.

    Hi to all, Someone knows a LISP router that can write a selected text on a specific field attribute when you are inserting the block. Eg.: One Block with a field "Diameter", when I'll insert...

    Started by CafeJr‎, Yesterday 01:26 pm
    attribute, block, selection
    • Replies: 2
    • Views: 83
    Today 03:04 am Go to last post
  3. DCL check for selection

    I am trying to work out how to check if the user has selected something on a drop down list. I want to send an alert in some kind of loop to let the user know they must select something on the...

    Started by Andrew1979‎, Yesterday 02:52 pm
    • Replies: 2
    • Views: 115
    Today 01:50 am Go to last post
  4. Incrementing through s LIST

    I have spent the last day working some things out with lists and blocks and have made a lot of progress. The problem I can't seem to work out is how to increment through a LIST of text strings. I...

    Started by Andrew1979‎, Yesterday 10:53 am
    • Replies: 4
    • Views: 124
    Today 01:48 am Go to last post
  5. Determine drawing units and scale accordingly

    Hi all I'm wondering how to add a bit of code that will determine if the units of a metric drawing is metres or millimetres and then add the appropriate scale value. The code snippet I have is...

    Started by pixel8er‎, 18th Apr 2015 02:24 am
    • Replies: 7
    • Views: 381
    Today 01:42 am Go to last post
  6. Select objects in current layer

    (sssetfirst nil (ssget "_X" '((8 . "5"))))will select objects in layer 5 no problem but when i incorporate (getvar "CLAYER")to make: (sssetfirst nil (ssget "_X" '((8 . (getvar "CLAYER")))))It comes...

    Started by 3dwannab‎, Yesterday 02:45 pm
    current, layer, select
    • Replies: 8
    • Views: 206
    Yesterday 11:57 pm Go to last post
  7. Question Convert text to attribute

    I am creating blocks witch run from tag_1 to tag_6 and then from tag_7 to tag_12 for the next dwg and so on and takes time renaming all the tags for each block. So I like the create my tag_1 to...

    Started by rustym‎, 16th Mar 2009 12:44 pm
    3 Pages
    1 2 3
    • Replies: 27
    • Views: 23,376
    Yesterday 10:24 pm Go to last post
  8. Inserted Attributes Justification

    Hello All, I have copied and modified some code to add attributes to a block this works fine but the attribute text is justified “Top Left”. Is there a way to change this to “Middle centre”?. ...

    Started by Johnc‎, 21st May 2015 04:40 pm
    • Replies: 3
    • Views: 134
    Yesterday 08:25 pm Go to last post
  9. Special charector \ (92) ... (chr 92) returns \\

    G'day all, Im trying to have the \ character in a string using (chr 92) but (chr 92) returns two backslashes \\. The function is for storing some field code in a string so \\ wont cut it. ...

    Started by jnky‎, Yesterday 03:11 am
    • Replies: 3
    • Views: 129
    Yesterday 01:54 pm Go to last post
  10. error: ActiveX Server returned the error: unknown name: Explode

    error: ActiveX Server returned the error: unknown name: Explode , Why ? autocad 2010 , windows xp ;|==================================================-=========================== * ...

    Started by DuanJinHui‎, 30th Apr 2015 03:26 am
    • Replies: 5
    • Views: 325
    Yesterday 01:53 pm Go to last post
  11. Lisp to draw a polyline around the extents of a set of polylines

    Hello everyone, This is my first post on here so please forgive my ignorance if this is posted somewhere else. I am trying to create a lisp that will draw a polyline around a set of polylines,...

    Started by acheok24‎, 21st May 2015 01:56 pm
    • Replies: 7
    • Views: 225
    Yesterday 12:54 pm Go to last post
  12. Spot Elevation Program

    I was wondering if anyone knows of a program already written or how to right a simple program that will extract the elevation from a point and place the elevation in text over the node with the...

    Started by CadProWannabe‎, 9th Jan 2010 07:34 pm
    7 Pages
    1 2 3 ... 7
    • Replies: 64
    • Views: 10,379
    21st May 2015 11:12 pm Go to last post
  13. Using LISPS with Sheet set manager

    Hello all, Is there a way that I could use a lisp to update text inside the Sheet Properties of a sheet set? I am asking because I am currently trying to figure out the best way to implement...

    Started by Mekiver‎, 20th May 2015 06:23 pm
    sheet set, ssm, update properties
    • Replies: 3
    • Views: 136
    21st May 2015 06:16 pm Go to last post
  14. Batch replace the attribute value

    Dear.All Before, I had requested a thread at here: http://www.cadtutor.net/forum/showthread.php?90216-Replace-the-attribute-value&highlight=DuanJinHui (defun c:TesT (/ st ss) ;; Tharwat...

    Started by DuanJinHui‎, 21st May 2015 12:18 pm
    • Replies: 3
    • Views: 129
    21st May 2015 04:57 pm Go to last post
  15. Question Field expression, using "auto-find".

    Hi to all, Please someone knows if its possible to create a field on a text form that could count a number of texts inside a drawing?... Eg.: I have the word "L1" 10 times in a drawing, it's...

    Started by CafeJr‎, 20th May 2015 11:57 am
    count, field, number, text
    • Replies: 4
    • Views: 153
    21st May 2015 12:58 pm Go to last post
  16. NCOPY to paste as current layer in drawing

    Hey anyone now if there is a lisp or a routine to paste selected items to the current layer in your drawing when using the command NCOPY. I dont want to drag layers from the x ref into the current...

    Started by dweafer‎, 21st May 2015 12:33 pm
    • Replies: 0
    • Views: 94
    21st May 2015 12:33 pm Go to last post
  17. Question Lisp - Prompt user input to select entity but also for keyword

    I want to write some lisp routines that similar to autocad prompting option, for example "offset" command, when the command prompt input for offset distance it also can receive other type of input...

    Started by kokjoo89‎, 20th May 2015 10:33 am
    • Replies: 5
    • Views: 261
    21st May 2015 11:50 am Go to last post
  18. Lisp rectangle rotated - add features

    I do not know lisp, so I would ask you if someone is able to modify this code to improve it by adding 3 new features. I use this code to draw rectangles as if they were walls, so it can happen...

    Started by marmo‎, 7th May 2015 10:19 am
    • Replies: 7
    • Views: 536
    21st May 2015 04:13 am Go to last post
  19. Drawing Printing Lisp for previous plot, Window selection and Preview needed.

    Hello all there, I tried Macro buttons but could not get what I wanted. Now I am looking for a lisp which can auto select print previous plot and asks for window select 2 points, then shows preview...

    Started by Saqib_theleo‎, 29th Nov 2013 03:43 pm
    2 Pages
    1 2
    • Replies: 12
    • Views: 1,019
    21st May 2015 04:11 am Go to last post
  20. Idea Need Help With Bounding Box Move LISP! HELP!

    I currently have a really really basic LISP routine. It was written to center a group of objects within a 12x9 drawing sheet (some people do not care whether their drawing is centered or not... pet...

    Started by tmelancon‎, 20th May 2015 04:42 pm
    bounding box, lisp, move, vla
    • Replies: 3
    • Views: 150
    20th May 2015 09:48 pm Go to last post
  21. Lisp for Layout name to block attribute

    Hi to all! I'am building the title block (block with attributes) and I need a routine that will automatically read layout name, in multi layout dwg, and write it into block attribute „LAYOUT“ ...

    Started by gamulj‎, 20th May 2015 06:44 pm
    2 Pages
    1 2
    attribute, block, layout name, lisp
    • Replies: 11
    • Views: 242
    20th May 2015 09:25 pm Go to last post
  22. Multiple Math Functions in a Lisp String

    I'm trying to write a routine to draw a style of cover that we use regularly, but I'm having trouble getting past the math functions in lisp. I should clarify that I don't have a clue on .lsp...

    Started by Therriault‎, 13th May 2015 10:25 pm
    • Replies: 7
    • Views: 507
    20th May 2015 05:21 pm Go to last post
  23. Possible to make extra thing in this code?

    Hello, This routine removes duplicated blocks belonging to the same group name. That's great but i would like first see wich one is duplicated before he's deleting! Actually he's only said "x...

    Started by bono05‎, 19th May 2015 07:56 am
    • Replies: 7
    • Views: 217
    20th May 2015 01:56 pm Go to last post
  24. lisp for trimming/ breaking a polyline or line

    Hi guys, just new to the autolisp world and would like to ask your assistance in making a lisp so it can be a basis for my future lisp programs. Here is the flow of the lisp. Overview:...

    Started by piterfun7777‎, 19th May 2015 08:13 am
    break, trim
    • Replies: 2
    • Views: 181
    20th May 2015 11:44 am Go to last post
  25. Copy all attributes from one block to another---except one

    I work with AutoCad Electrical. I've been using an amazing Lisp file by Alan J. Thompson (who is a frequent contributor) call Match Attributes Values and it has been a enormous time saver. ...

    Started by nelsonbriles‎, 1st Mar 2012 08:17 pm
    2 Pages
    1 2
    • Replies: 14
    • Views: 5,124
    20th May 2015 06:59 am Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts